Subject: [apps-discuss] apps-review comments for draft-lundberg-app-tei-xml-03

From: Eran Hammer-Lahav <[email-masked]>
Date: Tue, 28 Sep 2010 13:45:38 -0700

I have been selected as the Applications Area Review Team reviewer for this draft (for background on apps-review, please see http://www.apps.ietf.org/content/applications-area-review-team).

Please resolve these comments along with any other Last Call comments you may receive. Please wait for direction from your document shepherd or AD before posting a new version of the draft.

Document: draft-lundberg-app-tei-xml-03

Reviewer: Eran Hammer-Lahav

Review Date: September 28, 2010

IETF Last Call Date: September 2-30, 2010

IESG Telechat Date: Unknown

Summary: This draft is almost ready for publication as a Standards Track RFC.  The technical material is straight forward, but has a few minor document-level issues and numerous grammatical/editorial nits that should be reviewed before publication.

MAJOR ISSUES: None.

MINOR ISSUES:

- Section 2

* 'Published specification' should point to this draft, not the [TEI] specification.

* Interoperability considerations should be none, and the '.xml' comment moved to 'file extensions'.

* 'Security considerations' should refer to [[this specification]], and the comment about 'the security issues of [RFC3986], section 7' moved to the Security Consideration section. Also add "In addition, as this media type uses the "+xml" convention, it shares the same security considerations as described in RFC 3023 [RFC3023], section 10.".

- Section 3

* The examples should be XML snippets of actual TEI documents, not just rephrasing of the previous paragraph.

- Section 5.2

* I don't understand why this text is needed or why it is part of the security consideration section. If the authors insist on including it, I suggest moving it to an appendix and changing the title to something like 'TEI Document Content Intellectual Property Rights' to make it clear this is not about this specification or TEI, but the actual documents.

NITS:

- Section 1

* "The TEI is" reads funny. Should be "TEI is".

* "This document defines the 'application/tei+xml' media type in accordance with [RFC3023], in order to enable generic XML processing of TEI documents on the Internet."

- Section 2

* Move this section into a subsection of 'IANA Considerations' titled "application/tei+xml media type registration".

* Optional parameters: "charset":  This parameter has identical semantics to the charset parameter of the "application/xml" media type as specified in RFC 3023 [RFC3023].  [RFC3023].

* Encoding considerations:  Identical to those of "application/xml" as described in RFC 3023 [RFC3023], section 3.2.

* Applications which use this media type: There are currently no applications using the media type 'application/tei+xml'.

- Section 3

* TEI files are XML documents or fragments with a root element in a TEI namespace. TEI namespace URIs start with 'http://www.tei-c.org/ns/', followed by the version number of the namespace.  The current namespace is 'http://www.tei-c.org/ns/1.0'.

- Section 4

* "Documents having the media type 'application/tei+xml', use the fragment identifier notation as specified in [RFC3023] for the 'application/xml' media type.

Thanks,

EHL

---

From: "Manger, James H" <[email-masked]>
Date: Wed, 29 Sep 2010 10:23:39 +1000

The app-reviews appearing on this list look like a useful step in the IETF process.

Could the *title* of the draft being reviewed please be included in the review emails (ie added to the template http://www.apps.ietf.org/content/apps-review-template). The reviews currently only list the file name of the draft, which doesn't give enough context given the broad range of topics in the Apps area.

Instead of just:

  Document: draft-arkko-townsley-coexistence-04

Include:

  Document: draft-arkko-townsley-coexistence-04

  Title: IPv4 Run-Out and IPv4-IPv6 Co-Existence Scenarios

Thanks

--

James Manger

---

From: S Moonesamy <[email-masked]>
Date: Tue, 28 Sep 2010 19:10:46 -0700

Hi James,
At 17:23 28-09-10, Manger, James H wrote:
>Could the *title* of the draft being reviewed please be included in 
>the review emails (ie added to the template 
><http://www.apps.ietf.org/content/apps-review-template>http://www.apps.ietf.org/content/apps-review-template). 
>The reviews currently only list the file name of the draft, which 
>doesn't give enough context given the broad range of topics in the Apps area.

Thanks for the feedback.  The title will be added to the template.

Some of the Internet-Drafts that are reviewed by the Apps Area Review 
Team are from outside the Applications Area.

Regards,
S. Moonesamy

---

From: "David Harrington" <[email-masked]>
Date: Tue, 28 Sep 2010 22:21:53 -0400

Hi,
 
I just looked at the apps-review template.
C'mon, I know you work on web stuff, but you can't have prettier
review templates than the rest of the areas! <pout> ;-)
 
David Harrington
Director, IETF Transport Area
[email-masked] (preferred for ietf)
[email-masked]
+1 603 828 1401 (cell) 

  _____  

From: [email-masked]
[mailto:[email-masked]] On Behalf Of Manger, James H
Sent: Tuesday, September 28, 2010 8:24 PM
To: [email-masked]
Subject: [apps-discuss] Title of docs in apps-review comments

The app-reviews appearing on this list look like a useful step in the
IETF process.

Could the *title* of the draft being reviewed please be included in
the review emails (ie added to the template
http://www.apps.ietf.org/content/apps-review-template). The reviews
currently only list the file name of the draft, which doesn't give
enough context given the broad range of topics in the Apps area.

Instead of just:

Include:

Thanks

--

James Manger